System.ServiceModel 4.0.0.0 System.Collections.ObjectModel.Collection<System.ServiceModel.Description.MessageDescription> System.ServiceModel.Description.MessageDescription

A is used to describe contracts and their associated operations. Each contract operation has a corresponding that describes aspects of the operation, such as whether the operation is one-way or request/reply. Each in turn describes the messages that make up the operation using a collection of .

Provides a collection that is used to store descriptions of the messages that make up an operation that belongs to a contract.

- Method
  4.0.0.0
  System.ServiceModel.Description.MessageDescription ``

  If you need to find all of the objects in the collection that match the specified , use the method instead.

  Finds and returns the first message description in a collection for a message with a specified action.

  The first from the collection whose message has the specified and null if no matching is found.

  The action of the message being found.
- Method
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.ServiceModel.Description.MessageDescription> ``

  If you need to find the first instance of the in the collection that match the specified , use the method instead.

  Finds and returns all of the message descriptions in a collection whose messages have a specified action.

  A that contains the collection message descriptions from the current collection whose messages have the specified . If no matching objects are found, an empty collection is returned.

  The action of the messages being found.